from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDataTransferProviderAccess(XInterface, Protocol):
    def getDragGestureRecognizer(self, window: XWindow) -> XDragGestureRecognizer: ...
    def getDragSource(self, window: XWindow) -> XDragSource: ...
    def getDropTarget(self, window: XWindow) -> XDropTarget: ...
    def getClipboard(self, clipboardName: str) -> XClipboard: ...
